MetadataPatch Class
Metadata patch request body.
Variables are only populated by the server, and will be ignored when sending a request.
- Inheritance
-
azure.mgmt.securityinsight.models._models_py3.ResourceWithEtagMetadataPatch
Constructor
MetadataPatch(*, etag: Optional[str] = None, content_id: Optional[str] = None, parent_id: Optional[str] = None, version: Optional[str] = None, kind: Optional[Union[str, azure.mgmt.securityinsight.models._security_insights_enums.Kind]] = None, source: Optional[azure.mgmt.securityinsight.models._models_py3.MetadataSource] = None, author: Optional[azure.mgmt.securityinsight.models._models_py3.MetadataAuthor] = None, support: Optional[azure.mgmt.securityinsight.models._models_py3.MetadataSupport] = None, dependencies: Optional[azure.mgmt.securityinsight.models._models_py3.MetadataDependencies] = None, categories: Optional[azure.mgmt.securityinsight.models._models_py3.MetadataCategories] = None, providers: Optional[List[str]] = None, first_publish_date: Optional[datetime.date] = None, last_publish_date: Optional[datetime.date] = None, custom_version: Optional[str] = None, content_schema_version: Optional[str] = None, icon: Optional[str] = None, threat_analysis_tactics: Optional[List[str]] = None, threat_analysis_techniques: Optional[List[str]] = None, preview_images: Optional[List[str]] = None, preview_images_dark: Optional[List[str]] = None, **kwargs)
Variables
- id
- str
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}.
- name
- str
The name of the resource.
- type
- str
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts".
- system_data
- SystemData
Azure Resource Manager metadata containing createdBy and modifiedBy information.
- etag
- str
Etag of the azure resource.
- content_id
- str
Static ID for the content. Used to identify dependencies and content from solutions or community. Hard-coded/static for out of the box content and solutions. Dynamic for user-created. This is the resource name.
- parent_id
- str
Full parent resource ID of the content item the metadata is for. This is the full resource ID including the scope (subscription and resource group).
- version
- str
Version of the content. Default and recommended format is numeric (e.g. 1, 1.0, 1.0.0, 1.0.0.0), following ARM template best practices. Can also be any string, but then we cannot guarantee any version checks.
The kind of content the metadata is for. Possible values include: "DataConnector", "DataType", "Workbook", "WorkbookTemplate", "Playbook", "PlaybookTemplate", "AnalyticsRuleTemplate", "AnalyticsRule", "HuntingQuery", "InvestigationQuery", "Parser", "Watchlist", "WatchlistTemplate", "Solution", "AzureFunction", "LogicAppsCustomConnector", "AutomationRule".
- source
- MetadataSource
Source of the content. This is where/how it was created.
- author
- MetadataAuthor
The creator of the content item.
- support
- MetadataSupport
Support information for the metadata - type, name, contact information.
- dependencies
- MetadataDependencies
Dependencies for the content item, what other content items it requires to work. Can describe more complex dependencies using a recursive/nested structure. For a single dependency an id/kind/version can be supplied or operator/criteria for complex formats.
- categories
- MetadataCategories
Categories for the solution content item.
- first_publish_date
- date
first publish date solution content item.
- last_publish_date
- date
last publish date for the solution content item.
- custom_version
- str
The custom version of the content. A optional free text.
- content_schema_version
- str
Schema version of the content. Can be used to distinguish between different flow based on the schema version.
- icon
- str
the icon identifier. this id can later be fetched from the solution template.
the techniques the resource covers, these have to be aligned with the tactics being used.
Feedback
Submit and view feedback for